{
  "format_version": "1.10.0",
  "render_controllers": {
    "controller.render.silverlabs_nat.firefly": {
      "geometry": "q.is_baby ? Geometry.baby : Geometry.default",
      "materials": [
        {
          "*": "material.default"
        }
      ],
      "textures": [
        "q.is_baby ? Texture.baby : (v.glow_ticks > 0 ? Texture.glow : Texture.default)"
      ],
      "part_visibility": [
        {
          "glow": false
        }
      ],
      "uv_anim": {
        "offset": [
          0.0,
          "!q.is_baby && v.glow_ticks > 0 ? v.glow_uv_offset : 0.0"
        ],
        "scale": [
          1.0,
          "!q.is_baby && v.glow_ticks > 0 ? 1.0/30.0 : 1.0"
        ]
      }
    },
    "controller.render.silverlabs_nat.firefly_glow_layer": {
      "geometry": "Geometry.glow_layer",
      "materials": [
        {
          "*": "Material.glow_emissive"
        }
      ],
      "textures": [
        "Texture.glow_e"
      ],
      "part_visibility": [
        {
          "glow": "!q.is_baby && v.glow_ticks > 0"
        }
      ],
      "uv_anim": {
        "offset": [
          0.0,
          "!q.is_baby && v.glow_ticks > 0 ? v.glow_uv_offset : 0.0"
        ],
        "scale": [
          1.0,
          "!q.is_baby && v.glow_ticks > 0 ? 1.0/30.0 : 1.0"
        ]
      }
    }
  }
}
